Package org.eclipse.lemminx.services.extensions.hover

## Class HoverParticipantAdapter

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.hover.HoverParticipantAdapter

All Implemented Interfaces:
  `IHoverParticipant`

Direct Known Subclasses:
  `ContentModelHoverParticipant`, `EntitiesHoverParticipant`, `XSIHoverParticipant`

    public class HoverParticipantAdapter
    extends Object
    implements IHoverParticipant

Hover participant adapter.

### Constructor Summary

Constructors
`HoverParticipantAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.lsp4j.Hover` `onAttributeName​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onAttributeName method
`org.eclipse.lsp4j.Hover` `onAttributeValue​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onAttributeValue method
`org.eclipse.lsp4j.Hover` `onTag​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onTag method
`org.eclipse.lsp4j.Hover` `onText​(IHoverRequest request, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onText method

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HoverParticipantAdapter

    public HoverParticipantAdapter()

### Method Detail

#### onTag

    public org.eclipse.lsp4j.Hover onTag​(IHoverRequest request,
                                         org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                  throws Exception

Description copied from interface: `IHoverParticipant`
onTag method

Specified by:
  `onTag` in interface `IHoverParticipant`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`

#### onAttributeName

    public org.eclipse.lsp4j.Hover onAttributeName​(IHoverRequest request,
                                                   org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                            throws Exception

Description copied from interface: `IHoverParticipant`
onAttributeName method

Specified by:
  `onAttributeName` in interface `IHoverParticipant`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`

#### onAttributeValue

    public org.eclipse.lsp4j.Hover onAttributeValue​(IHoverRequest request,
                                                    org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                             throws Exception

Description copied from interface: `IHoverParticipant`
onAttributeValue method

Specified by:
  `onAttributeValue` in interface `IHoverParticipant`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`

#### onText

    public org.eclipse.lsp4j.Hover onText​(IHoverRequest request,
                                          org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                   throws Exception

Description copied from interface: `IHoverParticipant`
onText method

Specified by:
  `onText` in interface `IHoverParticipant`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`